com.lowagie.text.pdf.collection

## Class PdfCollectionSort

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.collection.PdfCollectionSort

-     public class PdfCollectionSort
      extends PdfDictionary

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfCollectionSort(java.lang.String key)` Constructs a PDF Collection Sort Dictionary.
    `PdfCollectionSort(java.lang.String[] keys)` Constructs a PDF Collection Sort Dictionary.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSortOrder(boolean ascending)` Defines the sort order of the field (ascending or descending).
    `void` | `setSortOrder(boolean[] ascending)` Defines the sort order of the field (ascending or descending).

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfCollectionSort

          public PdfCollectionSort(java.lang.String key)

      Constructs a PDF Collection Sort Dictionary.
      Parameters:
        `key` - the key of the field that will be used to sort entries

    - #### PdfCollectionSort

          public PdfCollectionSort(java.lang.String[] keys)

      Constructs a PDF Collection Sort Dictionary.
      Parameters:
        `keys` - the keys of the fields that will be used to sort entries

  - ### Method Detail

    - #### setSortOrder

          public void setSortOrder(boolean ascending)

      Defines the sort order of the field (ascending or descending).
      Parameters:
        `ascending` - true is the default, use false for descending order

    - #### setSortOrder

          public void setSortOrder(boolean[] ascending)

      Defines the sort order of the field (ascending or descending).
      Parameters:
        `ascending` - an array with every element corresponding with a name of a field.